﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _136743
{
    public partial class Form1 : Form
    {
        Random rnd = new Random();
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable gridData = new DataTable();
            gridData.Columns.Add("Column1", typeof(DataTable));
            gridData.Columns.Add("Column2", typeof(DataTable));

            for (int i = 0; i < 1000; i++)
            {
                gridData.Rows.Add(GetColumnData(), GetColumnData());
            }

            ultraGrid1.DataSource = gridData;
        }

        private DataTable GetColumnData()
        {
            Thread.Sleep(5);
            int rndIndex = rnd.Next(0, 10);
            DataTable mydata = new DataTable();
            //Define the columns and their names
            mydata.Columns.Add("Series Labels", typeof(string));
            mydata.Columns.Add("Column A", typeof(int));
            mydata.Columns.Add("Column B", typeof(int));
            mydata.Columns.Add("Column C", typeof(int));
            mydata.Columns.Add("Column D", typeof(int));
            //Add the rows of data
            mydata.Rows.Add(new Object[] { "Series A", 1 * rndIndex, 4 * rndIndex, 10 * rndIndex, 4 * rndIndex });
            mydata.Rows.Add(new Object[] { "Series B", 3 * rndIndex, 6 * rndIndex, 4 * rndIndex, 5 * rndIndex });
            mydata.Rows.Add(new Object[] { "Series C", 5 * rndIndex, 8 * rndIndex, 6 * rndIndex, 7 * rndIndex });
            mydata.Rows.Add(new Object[] { "Series D", 7 * rndIndex, 10 * rndIndex, 7 * rndIndex, 7 * rndIndex });
            return mydata;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns[0].EditorComponent = ultraControlContainerEditor1;
            e.Layout.Bands[0].Columns[1].EditorComponent = ultraControlContainerEditor1;

            e.Layout.Override.DefaultColWidth = 400;
            e.Layout.Override.DefaultRowHeight  = 400;

            e.Layout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.CellSelect;
        }
    }
}
